org.python.core

## Class PyFunctionTable

- java.lang.Object
- - org.python.core.PyFunctionTable

All Implemented Interfaces:
  java.io.Serializable

    public abstract class PyFunctionTable
    extends java.lang.Object
    implements java.io.Serializable

An entry point for class that implements several function calls.

Used together with the PyTableCode class.

See Also:
  `PyTableCode`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PyFunctionTable()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract PyObject` `call_function(int index, PyFrame frame, ThreadState ts)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PyFunctionTable

    public PyFunctionTable()

### Method Detail

#### call_function

    public abstract PyObject call_function(int index,
                                           PyFrame frame,
                                           ThreadState ts)